#if !defined(CPLAYER_HPP)
#define CPLAYER_HPP

#include "chess.hpp"
#include "player.hpp"

// player whose moves are chosen by the computer
class COMPUTERPLAYER : public PLAYER
  {
  private:
    // number of moves to look ahead when chosing the next move
    const int lookAhead;

  public:
    COMPUTERPLAYER(PIECECOLOR color, int lA) :
      PLAYER(color), lookAhead(lA) { }

    virtual GAMESTATUS play(BOARD &board) const;

  };

#endif
